Page MenuHomeFreeBSD

Fix two more issues with r465416.
ClosedPublic

Authored by jhb on Apr 1 2018, 5:58 PM.

Details

Summary
  • Force build of a cross-compiler by defining CROSS_DIRECTORY_STRUCTURE in CFLAGS even if the build host matches the build target. This fixes such a cross compiler to not include /usr/local/lib in its default library path (e.g. amd64-gcc when built on amd64).
  • Don't remove the include-fixed headers for the aarch64-none-elf-gcc and arm-none-eabi-gcc packages.
  • Bump PORTREVISION.
Test Plan
  • make buildworld CROSS_TOOLCHAIN=amd64-gcc with changes to only use -sysroot for GCC.
  • make buildworld CROSS_TOOLCHAIN=mips-gcc TARGET_ARCH=mips64 with same changes
  • build of arm-none-eabi-newlib package (kevans@ reported this was failing after r465416)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb created this revision.Apr 1 2018, 5:58 PM
kevans accepted this revision.Apr 1 2018, 6:30 PM

Looks good from a newlib perspective. Thanks!

This revision is now accepted and ready to land.Apr 1 2018, 6:30 PM
bdrewery accepted this revision.Apr 6 2018, 6:54 PM
bdrewery added inline comments.
devel/powerpc64-gcc/Makefile
101 ↗(On Diff #40964)

This is pretty obscure. Is there a more clear variable unique to the proper ports?

jhb added inline comments.Apr 6 2018, 9:10 PM
devel/powerpc64-gcc/Makefile
101 ↗(On Diff #40964)

It is the same thing used in devel/binutils currently. :-/ Earlier in this Makefile we use '!empty(GCC_TARGET)' but then we set GCC_TARGET so it is always set by this point. I could set a helper variable in the earlier test when GCC_TARGET is already set (or perhaps use something like '.if ${GCC_TARGET:Mfreebsd} != ""'). I'm not sure any of those are less obscure.

jhb added a comment.Apr 7 2018, 12:24 AM

I'm going to commit the current patch for now to unbreak the non-xtoolchain gcc ports, but I'm happy to refine the condition later if there is a better one to use.

This revision was automatically updated to reflect the committed changes.